Last Comment Bug 1119435 - Mozilla.org Hello Add TEF logo to Hello product page
: Mozilla.org Hello Add TEF logo to Hello product page
Status: RESOLVED FIXED
:
Product: Marketing
Classification: Other
Component: Design (show other bugs)
: unspecified
: All Other
-- normal (vote)
: ---
Assigned To: Jennifer Balaco
:
:
Mentors:
Depends on:
Blocks: 1119998
  Show dependency treegraph
 
Reported: 2015-01-08 11:32 PST by Cory Price [:ckprice]
Modified: 2015-01-21 10:57 PST (History)
13 users (show)
See Also:
Due Date: 2015-01-14
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Telefonica wordmark (4.92 KB, image/png)
2015-01-08 12:13 PST, Cory Price [:ckprice]
no flags Details
Telefonica wordmark - big (17.12 KB, image/png)
2015-01-09 16:08 PST, Cory Price [:ckprice]
no flags Details

Description User image Cory Price [:ckprice] 2015-01-08 11:32:15 PST
>>Project/Request Title:
Mozilla.org Hello Add TEF logo to Hello product page

>>Project Overview:
This bug is being opened to add the TEF logo to the product page

>> Creative Help Needed:
Copy:    No 
Design:  Yes 
Video:   No 
Other:  UX

>>Creative Specs:
PDF comp

>>CTA and Design:
- should exist in top 2/3 (above the download CTA) of the page
- should not be in animation
- should match the existing "powered by Telefonica" treatment, with "powered  by" in text, and the Telefonica wordmark (asset will be supplied)
- no specific size requirements other than it should be readable


>>Creative Due Date:
2015-01-14

>>Launch Date:
2015-01-22

>>Mozilla Goal:
Org Support

>>Mozilla Creative Collective:
No

>>Points of Contact:
alainez@mozilla.com, ltom@mozilla.com, jon@equalparts.io, jbertsch@mozilla.com, matej@mozilla.com,
Comment 1 User image Cory Price [:ckprice] 2015-01-08 11:33:17 PST
:flod - this will involve an export/import of the "powered by" string from Product to Web.
Comment 2 User image Francesco Lodolo [:flod] 2015-01-08 11:43:19 PST
Technically we have scripts to import strings using Transvision API in a .lang file.

Problem is that we're talking about 2 strings, not one. 
http://transvision.mozfr.org/?recherche=powered_by&repo=beta&sourcelocale=en-US&locale=it&search_type=entities

That's because the image doesn't necessarily stay at the end of the string (I count 4 locales with the image in the middle).

So we need to:
1) add the string to the template (basically I need the final markup)
2) add it to the lang file
3) try to import strings and ask localizers to double check them
Comment 3 User image Cory Price [:ckprice] 2015-01-08 12:13:18 PST
Created attachment 8546125 [details]
Telefonica wordmark
Comment 4 User image Cory Price [:ckprice] 2015-01-08 12:16:53 PST
(In reply to Francesco Lodolo [:flod] from comment #2)
> So we need to:
> 1) add the string to the template (basically I need the final markup)
> 2) add it to the lang file
> 3) try to import strings and ask localizers to double check them
If we can get the markup in place by 1/19 will that give you enough time for a 1/22 delivery?
Comment 5 User image Francesco Lodolo [:flod] 2015-01-08 12:25:19 PST
That's really close, especially because I want people to have time to check if everything looks good and eventually fix it.
Comment 6 User image Cory Price [:ckprice] 2015-01-09 15:37:59 PST
Hi Flod,

Please review these 4 options, and let us know if you see anything that couuld be an issue:

# Below the button: https://cloudup.com/cWqEgKQ14eG
# In a separate bar: https://cloudup.com/ceYqTQZ3JIJ
# In the animation: https://cloudup.com/cc6BqNkpT9d (will we need to translate the "powered by" in the animation?)
# Below the first copy block: http://cl.ly/image/0r1F1e1d2R1h/o

(In reply to Francesco Lodolo [:flod] from comment #5)
> That's really close, especially because I want people to have time to check
> if everything looks good and eventually fix it.
We're looking to give your team 4 business days of lead time.
Comment 7 User image Cory Price [:ckprice] 2015-01-09 16:08:54 PST
Created attachment 8546918 [details]
Telefonica wordmark - big

Bigger logo
Comment 8 User image Francesco Lodolo [:flod] 2015-01-09 23:06:36 PST
To be honest I'd leave the animation alone: space/layout is easier to manage in the template. I don't see any issues with the other 3 options. 

Personally I like the first option, while I'd avoid the separate bar: I think user engagement received some negative feedback for the logo being so evident in Firefox UI, and I believe they're showing it less because of that (not sure to whom you could talk about it).
Comment 9 User image Cory Price [:ckprice] 2015-01-16 17:36:53 PST
:jpetto - the partner attribution placement for the product page has been approved.

Please see the "PRODUCT PAGE" slide here: https://docs.google.com/a/mozilla.com/presentation/d/1rx3nk_VMnsyAWxc0sCvMGFNRkzQ2i61lYCaQQwtupzA/edit?usp=sharing

Let me know if you think having it ready for :flod Monday is possible.
Comment 10 User image Jon Petto [:jpetto] 2015-01-19 08:50:35 PST
The Telefonica logo is up on demo5: https://www-demo5.allizom.org/en-US/firefox/hello/

Talked to :flod in IRC and he's working on the translations now.
Comment 11 User image Francesco Lodolo [:flod] 2015-01-19 09:17:52 PST
Strings added in r137260. I'll send an email out to dev-l10n-web to warn about import and testing.
Comment 12 User image [github robot] 2015-01-20 09:09:18 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/91efc84defb89975e5638e00caa76aaec80b6f69
Add TEF logo to intro. Bug 1119435.

- Organize hello files

https://github.com/mozilla/bedrock/commit/2c8024b2a4d97d3d6831ff21620bb399b41afee3
Merge pull request #2670 from mozilla/bug-1119435-hello-tef-logo

Add TEF logo to intro. Bug 1119435.
Comment 13 User image Cory Price [:ckprice] 2015-01-21 10:57:34 PST
This is up and live. Thanks Jon!

Note You need to log in before you can comment on or make changes to this bug.